Changeset 2009 for stable


Ignore:
Timestamp:
Dec 16, 2013 11:27:56 AM (6 years ago)
Author:
tkr
Message:

Reverse merging r2007. Ignore the commit message on that one. I made a mistake

Location:
stable/1.15/Clp
Files:
12 edited

Legend:

Unmodified
Added
Removed
  • stable/1.15/Clp

  • stable/1.15/Clp/Makefile.in

    r2007 r2009  
    127127AMTAR = @AMTAR@
    128128AR = @AR@
    129 ASL_CFLAGS = @ASL_CFLAGS@
    130 ASL_CFLAGS_INSTALLED = @ASL_CFLAGS_INSTALLED@
    131 ASL_DATA = @ASL_DATA@
    132 ASL_DATA_INSTALLED = @ASL_DATA_INSTALLED@
    133 ASL_DEPENDENCIES = @ASL_DEPENDENCIES@
    134 ASL_LIBS = @ASL_LIBS@
    135 ASL_LIBS_INSTALLED = @ASL_LIBS_INSTALLED@
    136129AUTOCONF = @AUTOCONF@
    137130AUTOHEADER = @AUTOHEADER@
     
    176169COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    177170COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
    178 COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    179 COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    180171COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    181172COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
  • stable/1.15/Clp/configure

    r2008 r2009  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11691169  --with-blas-incdir directory with header files for using package Blas
    11701170  --with-blas-datadir directory with data files for using package Blas
    1171   --with-asl-lib linker flags for using package ASL
    1172   --with-asl-incdir directory with header files for using package ASL
    1173   --with-asl-datadir directory with data files for using package ASL
    11741171  --with-dot              use dot (from graphviz) when creating documentation
    11751172                          with doxygen if available; --without-dot to disable
     
    59105907*-*-irix6*)
    59115908  # Find out which ABI we are using.
    5912   echo '#line 5912 "configure"' > conftest.$ac_ext
     5909  echo '#line 5901 "configure"' > conftest.$ac_ext
    59135910  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59145911  (eval $ac_compile) 2>&5
     
    70447041
    70457042# Provide some information about the compiler.
    7046 echo "$as_me:7046:" \
     7043echo "$as_me:7035:" \
    70477044     "checking for Fortran 77 compiler version" >&5
    70487045ac_compiler=`set X $ac_compile; echo $2`
     
    81118108   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81128109   -e 's:$: $lt_compiler_flag:'`
    8113    (eval echo "\"\$as_me:8113: $lt_compile\"" >&5)
     8110   (eval echo "\"\$as_me:8102: $lt_compile\"" >&5)
    81148111   (eval "$lt_compile" 2>conftest.err)
    81158112   ac_status=$?
    81168113   cat conftest.err >&5
    8117    echo "$as_me:8117: \$? = $ac_status" >&5
     8114   echo "$as_me:8106: \$? = $ac_status" >&5
    81188115   if (exit $ac_status) && test -s "$ac_outfile"; then
    81198116     # The compiler can only warn and ignore the option if not recognized
     
    83798376   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83808377   -e 's:$: $lt_compiler_flag:'`
    8381    (eval echo "\"\$as_me:8381: $lt_compile\"" >&5)
     8378   (eval echo "\"\$as_me:8370: $lt_compile\"" >&5)
    83828379   (eval "$lt_compile" 2>conftest.err)
    83838380   ac_status=$?
    83848381   cat conftest.err >&5
    8385    echo "$as_me:8385: \$? = $ac_status" >&5
     8382   echo "$as_me:8374: \$? = $ac_status" >&5
    83868383   if (exit $ac_status) && test -s "$ac_outfile"; then
    83878384     # The compiler can only warn and ignore the option if not recognized
     
    84838480   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84848481   -e 's:$: $lt_compiler_flag:'`
    8485    (eval echo "\"\$as_me:8485: $lt_compile\"" >&5)
     8482   (eval echo "\"\$as_me:8474: $lt_compile\"" >&5)
    84868483   (eval "$lt_compile" 2>out/conftest.err)
    84878484   ac_status=$?
    84888485   cat out/conftest.err >&5
    8489    echo "$as_me:8489: \$? = $ac_status" >&5
     8486   echo "$as_me:8478: \$? = $ac_status" >&5
    84908487   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84918488   then
     
    1082810825  lt_status=$lt_dlunknown
    1082910826  cat > conftest.$ac_ext <<EOF
    10830 #line 10830 "configure"
     10827#line 10819 "configure"
    1083110828#include "confdefs.h"
    1083210829
     
    1092810925  lt_status=$lt_dlunknown
    1092910926  cat > conftest.$ac_ext <<EOF
    10930 #line 10930 "configure"
     10927#line 10919 "configure"
    1093110928#include "confdefs.h"
    1093210929
     
    1327213269   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1327313270   -e 's:$: $lt_compiler_flag:'`
    13274    (eval echo "\"\$as_me:13274: $lt_compile\"" >&5)
     13271   (eval echo "\"\$as_me:13263: $lt_compile\"" >&5)
    1327513272   (eval "$lt_compile" 2>conftest.err)
    1327613273   ac_status=$?
    1327713274   cat conftest.err >&5
    13278    echo "$as_me:13278: \$? = $ac_status" >&5
     13275   echo "$as_me:13267: \$? = $ac_status" >&5
    1327913276   if (exit $ac_status) && test -s "$ac_outfile"; then
    1328013277     # The compiler can only warn and ignore the option if not recognized
     
    1337613373   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1337713374   -e 's:$: $lt_compiler_flag:'`
    13378    (eval echo "\"\$as_me:13378: $lt_compile\"" >&5)
     13375   (eval echo "\"\$as_me:13367: $lt_compile\"" >&5)
    1337913376   (eval "$lt_compile" 2>out/conftest.err)
    1338013377   ac_status=$?
    1338113378   cat out/conftest.err >&5
    13382    echo "$as_me:13382: \$? = $ac_status" >&5
     13379   echo "$as_me:13371: \$? = $ac_status" >&5
    1338313380   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1338413381   then
     
    1494614943   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1494714944   -e 's:$: $lt_compiler_flag:'`
    14948    (eval echo "\"\$as_me:14948: $lt_compile\"" >&5)
     14945   (eval echo "\"\$as_me:14937: $lt_compile\"" >&5)
    1494914946   (eval "$lt_compile" 2>conftest.err)
    1495014947   ac_status=$?
    1495114948   cat conftest.err >&5
    14952    echo "$as_me:14952: \$? = $ac_status" >&5
     14949   echo "$as_me:14941: \$? = $ac_status" >&5
    1495314950   if (exit $ac_status) && test -s "$ac_outfile"; then
    1495414951     # The compiler can only warn and ignore the option if not recognized
     
    1505015047   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1505115048   -e 's:$: $lt_compiler_flag:'`
    15052    (eval echo "\"\$as_me:15052: $lt_compile\"" >&5)
     15049   (eval echo "\"\$as_me:15041: $lt_compile\"" >&5)
    1505315050   (eval "$lt_compile" 2>out/conftest.err)
    1505415051   ac_status=$?
    1505515052   cat out/conftest.err >&5
    15056    echo "$as_me:15056: \$? = $ac_status" >&5
     15053   echo "$as_me:15045: \$? = $ac_status" >&5
    1505715054   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1505815055   then
     
    1725717254   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725817255   -e 's:$: $lt_compiler_flag:'`
    17259    (eval echo "\"\$as_me:17259: $lt_compile\"" >&5)
     17256   (eval echo "\"\$as_me:17248: $lt_compile\"" >&5)
    1726017257   (eval "$lt_compile" 2>conftest.err)
    1726117258   ac_status=$?
    1726217259   cat conftest.err >&5
    17263    echo "$as_me:17263: \$? = $ac_status" >&5
     17260   echo "$as_me:17252: \$? = $ac_status" >&5
    1726417261   if (exit $ac_status) && test -s "$ac_outfile"; then
    1726517262     # The compiler can only warn and ignore the option if not recognized
     
    1752517522   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752617523   -e 's:$: $lt_compiler_flag:'`
    17527    (eval echo "\"\$as_me:17527: $lt_compile\"" >&5)
     17524   (eval echo "\"\$as_me:17516: $lt_compile\"" >&5)
    1752817525   (eval "$lt_compile" 2>conftest.err)
    1752917526   ac_status=$?
    1753017527   cat conftest.err >&5
    17531    echo "$as_me:17531: \$? = $ac_status" >&5
     17528   echo "$as_me:17520: \$? = $ac_status" >&5
    1753217529   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753317530     # The compiler can only warn and ignore the option if not recognized
     
    1762917626   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1763017627   -e 's:$: $lt_compiler_flag:'`
    17631    (eval echo "\"\$as_me:17631: $lt_compile\"" >&5)
     17628   (eval echo "\"\$as_me:17620: $lt_compile\"" >&5)
    1763217629   (eval "$lt_compile" 2>out/conftest.err)
    1763317630   ac_status=$?
    1763417631   cat out/conftest.err >&5
    17635    echo "$as_me:17635: \$? = $ac_status" >&5
     17632   echo "$as_me:17624: \$? = $ac_status" >&5
    1763617633   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1763717634   then
     
    2495124948
    2495224949# Provide some information about the compiler.
    24953 echo "$as_me:24953:" \
     24950echo "$as_me:24942:" \
    2495424951     "checking for Fortran 77 compiler version" >&5
    2495524952ac_compiler=`set X $ac_compile; echo $2`
     
    2547225469ac_save_FFLAGS=$FFLAGS
    2547325470FFLAGS="$FFLAGS $ac_verb"
    25474 (eval echo $as_me:25474: \"$ac_link\") >&5
     25471(eval echo $as_me:25463: \"$ac_link\") >&5
    2547525472ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2547625473echo "$ac_f77_v_output" >&5
     
    2555025547ac_save_FFLAGS=$FFLAGS
    2555125548FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25552 (eval echo $as_me:25552: \"$ac_link\") >&5
     25549(eval echo $as_me:25541: \"$ac_link\") >&5
    2555325550ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2555425551echo "$ac_f77_v_output" >&5
     
    2976329760#                             Other dependencies                            #
    2976429761#############################################################################
    29765 # Ampl Solver library
    29766 
    29767 echo "$as_me:$LINENO: checking for COIN-OR package ASL" >&5
    29768 echo $ECHO_N "checking for COIN-OR package ASL... $ECHO_C" >&6
    29769 
    29770 coin_has_asl=notGiven
    29771 
    29772 # check if user wants to skip package in any case
    29773 if test x"$COIN_SKIP_PROJECTS" != x; then
    29774   for dir in $COIN_SKIP_PROJECTS; do
    29775     if test $dir = "ASL"; then
    29776       coin_has_asl=skipping
    29777     fi
    29778   done
    29779 fi
    29780 
    29781 if test "$coin_has_asl" != skipping; then
    29782 
    29783 # Check whether --with-m4_tolower(ASL) or --without-m4_tolower(ASL) was given.
    29784 if test "${with_asl+set}" = set; then
    29785   withval="$with_asl"
    29786   if test "$withval" = no ; then
    29787        coin_has_asl=skipping
    29788      fi
    29789 
    29790 fi;
    29791 fi
    29792 
    29793 ASL_LIBS=
    29794 ASL_CFLAGS=
    29795 ASL_DATA=
    29796 ASL_DEPENDENCIES=
    29797 ASL_PCLIBS=
    29798 ASL_PCREQUIRES=
    29799 ASL_DATA=
    29800 
    29801 
    29802 
    29803 
    29804 
    29805 
    29806 
    29807 
    29808 
    29809 
    29810 
    29811 
    29812 
    29813 
    29814 
    29815 
    29816 
    29817 #check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
    29818 if test $coin_has_asl != skipping; then
    29819 
    29820 # Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
    29821 if test "${with_asl_lib+set}" = set; then
    29822   withval="$with_asl_lib"
    29823   if test "$withval" = no ; then
    29824        coin_has_asl=skipping
    29825      else
    29826        coin_has_asl=yes
    29827        ASL_LIBS="$withval"
    29828        ASL_PCLIBS="$withval"
    29829 
    29830          CLPLIB_PCLIBS="$withval $CLPLIB_PCLIBS"
    29831          CLPLIB_LIBS="$withval $CLPLIB_LIBS"
    29832 
    29833        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    29834        if test -z "$PKG_CONFIG" ; then
    29835          ASL_LIBS_INSTALLED="$withval"
    29836          CLPLIB_LIBS_INSTALLED="$withval $CLPLIB_LIBS_INSTALLED"
    29837        fi
    29838      fi
    29839 
    29840 fi;
    29841 fi
    29842 
    29843 if test $coin_has_asl != skipping; then
    29844 
    29845 # Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
    29846 if test "${with_asl_incdir+set}" = set; then
    29847   withval="$with_asl_incdir"
    29848   if test "$withval" = no ; then
    29849        coin_has_asl=skipping
    29850      else
    29851        coin_has_asl=yes
    29852        ASL_CFLAGS="-I`${CYGPATH_W} $withval`"
    29853        CLPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $CLPLIB_CFLAGS"
    29854        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    29855        if test -z "$PKG_CONFIG" ; then
    29856          ASL_CFLAGS_INSTALLED="$ASL_CFLAGS"
    29857          CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS $CLPLIB_CFLAGS_INSTALLED"
    29858        fi
    29859      fi
    29860 
    29861 fi;
    29862 fi
    29863 
    29864 if test $coin_has_asl != skipping; then
    29865 
    29866 # Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
    29867 if test "${with_asl_datadir+set}" = set; then
    29868   withval="$with_asl_datadir"
    29869   if test "$withval" = no ; then
    29870        coin_has_asl=skipping
    29871      else
    29872        coin_has_asl=yes
    29873        ASL_DATA="$withval"
    29874        # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
    29875        if test -z "$PKG_CONFIG" ; then
    29876          ASL_DATA_INSTALLED="$withval"
    29877        fi
    29878      fi
    29879 
    29880 fi;
    29881 fi
    29882 
    29883 if test $coin_has_asl = notGiven; then
    29884   if test -n "$PKG_CONFIG" ; then
    29885     # set search path for pkg-config
    29886     # need to export variable to be sure that the following pkg-config gets these values
    29887     coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    29888     PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
    29889     export PKG_CONFIG_PATH
    29890 
    29891     # let pkg-config do it's magic
    29892 
    29893 
    29894 
    29895 if test -n "$PKG_CONFIG" ; then
    29896   if $PKG_CONFIG --exists "coinasl"; then
    29897     ASL_VERSIONS=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
    29898      cflags=`$PKG_CONFIG --cflags "coinasl" 2>/dev/null`
    29899     # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    29900         # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
    29901         # but only do this if is not trivial
    29902     if test "$CYGPATH_W" != "echo" ; then
    29903       # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
    29904       cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    29905     fi
    29906     ASL_CFLAGS="$cflags"
    29907     ASL_LIBS=`$PKG_CONFIG --libs "coinasl" 2>/dev/null`
    29908     ASL_DATA=`$PKG_CONFIG --variable=datadir "coinasl" 2>/dev/null`
    29909      coin_has_asl=yes
    29910         echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
    29911 echo "${ECHO_T}yes: $ASL_VERSIONS" >&6
    29912 
    29913         # adjust linker flags for (i)cl compiler
    29914         # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
    29915         if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
    29916         then
    29917           ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
    29918         fi
    29919         ASL_PCREQUIRES="coinasl"
    29920 
    29921         # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in ClpLib
    29922 
    29923           CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
    29924           CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
    29925           CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
    29926 
    29927 
    29928 
    29929   else
    29930     ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
    29931       coin_has_asl=notGiven
    29932         echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
    29933 echo "${ECHO_T}not given: $ASL_PKG_ERRORS" >&6
    29934 
    29935   fi
    29936 else
    29937   { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module ASL without pkg-config\"" >&5
    29938 echo "$as_me: error: \"Cannot check for existance of module ASL without pkg-config\"" >&2;}
    29939    { (exit 1); exit 1; }; }
    29940 fi
    29941 
    29942 
    29943 
    29944 
    29945     # reset PKG_CONFIG_PATH variable
    29946     PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
    29947     export PKG_CONFIG_PATH
    29948 
    29949   else
    29950     echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
    29951 echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
    29952 
    29953 echo "$as_me:$LINENO: checking for COIN-OR package ASL (fallback)" >&5
    29954 echo $ECHO_N "checking for COIN-OR package ASL (fallback)... $ECHO_C" >&6
    29955 
    29956 coin_has_asl=notGiven
    29957 ASL_LIBS=
    29958 ASL_LIBS_INSTALLED=
    29959 ASL_CFLAGS=
    29960 ASL_CFLAGS_INSTALLED=
    29961 ASL_DATA=
    29962 ASL_DATA_INSTALLED=
    29963 ASL_PCLIBS=
    29964 ASL_PCREQUIRES=
    29965 
    29966 # initial list of dependencies is "coinasl", but we need to filter out version number specifications (= x, <= x, >= x, != x)
    29967 projtoprocess="coinasl"
    29968 
    29969 # we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
    29970 # further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
    29971 # the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
    29972 # also, we setup the DATA variable
    29973 allproj=""
    29974 allpcfiles=""
    29975 allpcifiles=""
    29976 while test "x$projtoprocess" != x ; do
    29977 
    29978   for proj in $projtoprocess ; do
    29979     # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
    29980     pcfile=""
    29981     save_IFS="$IFS"
    29982     IFS=":"
    29983     for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
    29984       # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
    29985       if test -r "$dir/${proj}-uninstalled.pc" ; then
    29986         pcfile="$dir/$proj-uninstalled.pc"
    29987         if test -r "$dir/${proj}.pc" ; then
    29988           pcifile="$dir/${proj}.pc"
    29989         else
    29990           { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
    29991 echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
    29992           pcifile=
    29993         fi
    29994         break
    29995       fi
    29996     done
    29997     IFS="$save_IFS"
    29998 
    29999     if test "x$pcfile" != x ; then
    30000       # read dependencies from $pcfile and filter it
    30001       projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
    30002 
    30003       # add projrequires to the front of the list of projects that have to be processed next
    30004       # at the same time, remove $proj from this list
    30005       projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
    30006 
    30007       # read DATA from $pcfile, if _DATA is still empty
    30008       if test "x$ASL_DATA" = x ; then
    30009         projdatadir=
    30010         pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
    30011         eval `sh -c "$pcfilemod"`
    30012         ASL_DATA="$projdatadir"
    30013       fi
    30014 
    30015       allproj="$allproj $proj"
    30016       allpcfiles="$pcfile:$allpcfiles"
    30017 
    30018     else
    30019       echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
    30020 echo "${ECHO_T}no, dependency $proj not available" >&6
    30021       allproj=fail
    30022       break 2
    30023     fi
    30024 
    30025     if test "x$pcifile" != x ; then
    30026       allpcifiles="$pcifile:$allpcifiles"
    30027 
    30028       # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
    30029       if test "x$ASL_DATA_INSTALLED" = x ; then
    30030         projdatadir=
    30031         pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
    30032         eval `sh -c "$pcifilemod"`
    30033         if test "${CYGPATH_W}" != "echo"; then
    30034           projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
    30035         fi
    30036         ASL_DATA_INSTALLED="$projdatadir"
    30037       fi
    30038 
    30039     fi
    30040 
    30041     break
    30042   done
    30043 
    30044   # remove spaces on begin of $projtoprocess
    30045   projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
    30046 
    30047 done
    30048 
    30049 if test "$allproj" != fail ; then
    30050 
    30051   # now go through the list of .pc files and assemble compiler and linker flags
    30052   # important is here to obey the reverse order that has been setup before,
    30053   # since then libraries that are required by several others should be after these other libraries
    30054   pcfilesprocessed=""
    30055 
    30056   save_IFS="$IFS"
    30057   IFS=":"
    30058   for pcfile in $allpcfiles ; do
    30059 
    30060     # if $pcfile has been processed already, skip this round
    30061     if test "x$pcfilesprocessed" != x ; then
    30062       for pcfiledone in $pcfilesprocessed ; do
    30063         if test "$pcfiledone" = "$pcfile" ; then
    30064           continue 2
    30065         fi
    30066       done
    30067     fi
    30068 
    30069     # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
    30070     #   replace "Libs:" by "echo projlibs="
    30071     #   replace "Cflags:" by "echo projcflags="
    30072     #   remove every line starting with <some word>:
    30073     pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
    30074 
    30075     # set projcflags and projlibs variables by running $pcfilemod
    30076     # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
    30077     projcflags=
    30078     projlibs=
    30079     IFS="$save_IFS"
    30080     eval `sh -c "$pcfilemod"`
    30081     IFS=":"
    30082 
    30083     # add CYGPATH_W cludge into include flags and set CFLAGS variable
    30084     if test "${CYGPATH_W}" != "echo"; then
    30085       projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    30086     fi
    30087     ASL_CFLAGS="$projcflags $ASL_CFLAGS"
    30088 
    30089     # set LIBS variable
    30090     ASL_LIBS="$projlibs $ASL_LIBS"
    30091 
    30092     # remember that we have processed $pcfile
    30093     pcfilesprocessed="$pcfilesprocessed:$pcfile"
    30094 
    30095   done
    30096   IFS="$save_IFS"
    30097 
    30098 
    30099   # now go through the list of .pc files for installed projects and assemble compiler and linker flags
    30100   # important is here again to obey the reverse order that has been setup before,
    30101   # since then libraries that are required by several others should be after these other libraries
    30102   pcfilesprocessed=""
    30103 
    30104   save_IFS="$IFS"
    30105   IFS=":"
    30106   for pcfile in $allpcifiles ; do
    30107 
    30108     # if $pcfile has been processed already, skip this round
    30109     if test "x$pcfilesprocessed" != x ; then
    30110       for pcfiledone in $pcfilesprocessed ; do
    30111         if test "$pcfiledone" = "$pcfile" ; then
    30112           continue 2
    30113         fi
    30114       done
    30115     fi
    30116 
    30117     # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
    30118     #   replace "Libs:" by "echo projlibs="
    30119     #   replace "Cflags:" by "echo projcflags="
    30120     #   remove every line starting with <some word>:
    30121     pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
    30122 
    30123     # set projcflags and projlibs variables by running $pcfilemod
    30124     # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
    30125     projcflags=
    30126     projlibs=
    30127     IFS="$save_IFS"
    30128     eval `sh -c "$pcfilemod"`
    30129     IFS=":"
    30130 
    30131     # add CYGPATH_W cludge into include flags and set CFLAGS variable
    30132     if test "${CYGPATH_W}" != "echo"; then
    30133       projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
    30134     fi
    30135     ASL_CFLAGS_INSTALLED="$projcflags $ASL_CFLAGS_INSTALLED"
    30136 
    30137     # set LIBS variable
    30138     ASL_LIBS_INSTALLED="$projlibs $ASL_LIBS_INSTALLED"
    30139 
    30140     # remember that we have processed $pcfile
    30141     pcfilesprocessed="$pcfilesprocessed:$pcfile"
    30142 
    30143   done
    30144   IFS="$save_IFS"
    30145 
    30146 
    30147   # finish up
    30148   coin_has_asl=yes
    30149   echo "$as_me:$LINENO: result: yes" >&5
    30150 echo "${ECHO_T}yes" >&6
    30151 
    30152 cat >>confdefs.h <<\_ACEOF
    30153 #define COIN_HAS_ASL 1
    30154 _ACEOF
    30155 
    30156 
    30157   # adjust linker flags for (i)cl compiler
    30158   # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
    30159   # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
    30160   #    everything of the form "-lname" by "libname.lib", and
    30161   #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
    30162   if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
    30163   then
    30164     ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
    30165     ASL_LIBS_INSTALLED=`echo " $ASL_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
    30166   fi
    30167 
    30168   ASL_PCREQUIRES="coinasl"
    30169 
    30170     CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
    30171     CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
    30172     CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
    30173     CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS_INSTALLED $CLPLIB_CFLAGS_INSTALLED"
    30174     CLPLIB_LIBS_INSTALLED="$ASL_LIBS_INSTALLED $CLPLIB_LIBS_INSTALLED"
    30175 
    30176 
    30177 fi
    30178 
    30179 
    30180 
    30181 if test $coin_has_asl != notGiven &&
    30182                 test $coin_has_asl != skipping; then
    30183   COIN_HAS_ASL_TRUE=
    30184   COIN_HAS_ASL_FALSE='#'
    30185 else
    30186   COIN_HAS_ASL_TRUE='#'
    30187   COIN_HAS_ASL_FALSE=
    30188 fi
    30189 
    30190 
    30191 
    30192   fi
    30193 
    30194 else
    30195   echo "$as_me:$LINENO: result: $coin_has_asl" >&5
    30196 echo "${ECHO_T}$coin_has_asl" >&6
    30197 fi
    30198 
    30199 if test $coin_has_asl != skipping &&
    30200    test $coin_has_asl != notGiven ; then
    30201 
    30202 cat >>confdefs.h <<\_ACEOF
    30203 #define COIN_HAS_ASL 1
    30204 _ACEOF
    30205 
    30206 
    30207   # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
    30208 if test "${enable_interpackage_dependencies+set}" = set; then
    30209   enableval="$enable_interpackage_dependencies"
    30210 
    30211 else
    30212   enable_interpackage_dependencies=yes
    30213 fi;
    30214 
    30215   if test $enable_interpackage_dependencies = yes ; then
    30216      # construct dependencies variables from LIBS variables
    30217      # we add an extra space in LIBS so we can substitute out everything starting with " -"
    30218      # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
    30219      # then remove everything of the form -xxx
    30220      # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    30221      ASL_DEPENDENCIES=`echo " $ASL_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    30222 
    30223        CLPLIB_DEPENDENCIES=`echo " $CLPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    30224 
    30225   fi
    30226 
    30227   if test 1 = 0 ; then  #change this test to enable a bit of debugging output
    30228     if test -n "$ASL_CFLAGS" ; then
    30229       { echo "$as_me:$LINENO: ASL CFLAGS are $ASL_CFLAGS" >&5
    30230 echo "$as_me: ASL CFLAGS are $ASL_CFLAGS" >&6;}
    30231     fi
    30232     if test -n "$ASL_LIBS" ; then
    30233       { echo "$as_me:$LINENO: ASL LIBS   are $ASL_LIBS" >&5
    30234 echo "$as_me: ASL LIBS   are $ASL_LIBS" >&6;}
    30235     fi
    30236     if test -n "$ASL_DEPENDENCIES" ; then
    30237       { echo "$as_me:$LINENO: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&5
    30238 echo "$as_me: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&6;}
    30239     fi
    30240     if test -n "$ASL_DATA" ; then
    30241       { echo "$as_me:$LINENO: ASL DATA   is  $ASL_DATA" >&5
    30242 echo "$as_me: ASL DATA   is  $ASL_DATA" >&6;}
    30243     fi
    30244     if test -n "$ASL_PCLIBS" ; then
    30245       { echo "$as_me:$LINENO: ASL PCLIBS are $ASL_PCLIBS" >&5
    30246 echo "$as_me: ASL PCLIBS are $ASL_PCLIBS" >&6;}
    30247     fi
    30248     if test -n "$ASL_PCREQUIRES" ; then
    30249       { echo "$as_me:$LINENO: ASL PCREQUIRES are $ASL_PCREQUIRES" >&5
    30250 echo "$as_me: ASL PCREQUIRES are $ASL_PCREQUIRES" >&6;}
    30251     fi
    30252 
    30253       { echo "$as_me:$LINENO: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&5
    30254 echo "$as_me: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&6;}
    30255       { echo "$as_me:$LINENO: ClpLib LIBS   are $CLPLIB_LIBS" >&5
    30256 echo "$as_me: ClpLib LIBS   are $CLPLIB_LIBS" >&6;}
    30257       { echo "$as_me:$LINENO: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&5
    30258 echo "$as_me: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&6;}
    30259 
    30260   fi
    30261 fi
    30262 
    30263 # Define the Makefile conditional
    30264 
    30265 
    30266 if test $coin_has_asl != notGiven &&
    30267                 test $coin_has_asl != skipping; then
    30268   COIN_HAS_ASL_TRUE=
    30269   COIN_HAS_ASL_FALSE='#'
    30270 else
    30271   COIN_HAS_ASL_TRUE='#'
    30272   COIN_HAS_ASL_FALSE=
    30273 fi
    30274 
    30275 
    30276 
    3027729762
    3027829763# Check whether --enable-gnu-packages or --disable-gnu-packages was given.
     
    3223931724Usually this means the macro was only invoked conditionally." >&5
    3224031725echo "$as_me: error: conditional \"COIN_HAS_WSMP\" was never defined.
    32241 Usually this means the macro was only invoked conditionally." >&2;}
    32242    { (exit 1); exit 1; }; }
    32243 fi
    32244 if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
    32245   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
    32246 Usually this means the macro was only invoked conditionally." >&5
    32247 echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    32248 Usually this means the macro was only invoked conditionally." >&2;}
    32249    { (exit 1); exit 1; }; }
    32250 fi
    32251 if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
    32252   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
    32253 Usually this means the macro was only invoked conditionally." >&5
    32254 echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    3225531726Usually this means the macro was only invoked conditionally." >&2;}
    3225631727   { (exit 1); exit 1; }; }
     
    3301232483s,@COIN_HAS_WSMP_TRUE@,$COIN_HAS_WSMP_TRUE,;t t
    3301332484s,@COIN_HAS_WSMP_FALSE@,$COIN_HAS_WSMP_FALSE,;t t
    33014 s,@ASL_LIBS@,$ASL_LIBS,;t t
    33015 s,@ASL_CFLAGS@,$ASL_CFLAGS,;t t
    33016 s,@ASL_DATA@,$ASL_DATA,;t t
    33017 s,@ASL_DEPENDENCIES@,$ASL_DEPENDENCIES,;t t
    33018 s,@ASL_LIBS_INSTALLED@,$ASL_LIBS_INSTALLED,;t t
    33019 s,@ASL_CFLAGS_INSTALLED@,$ASL_CFLAGS_INSTALLED,;t t
    33020 s,@ASL_DATA_INSTALLED@,$ASL_DATA_INSTALLED,;t t
    33021 s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
    33022 s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
    3302332485s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    3302432486s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
  • stable/1.15/Clp/configure.ac

    r2007 r2009  
    161161#                             Other dependencies                            #
    162162#############################################################################
    163 # Ampl Solver library
    164 AC_COIN_CHECK_PACKAGE(ASL, [coinasl], [ClpLib])
    165163
    166164AC_COIN_CHECK_GNU_READLINE(ClpLib)
  • stable/1.15/Clp/src

  • stable/1.15/Clp/src/ClpMain.cpp

    r2007 r2009  
    4040#include "ClpFactorization.hpp"
    4141#include "CoinTime.hpp"
    42 #include "CoinWarmStartBasis.hpp"
    4342#include "ClpSimplex.hpp"
    4443#include "ClpSimplexOther.hpp"
     
    6362#include "AbcDualRowDantzig.hpp"
    6463#endif
     64//#define COIN_HAS_ASL
    6565#ifdef COIN_HAS_ASL
    6666#include "Clp_ampl.h"
     
    307307                if (returnCode)
    308308                    return returnCode;
    309                 if (info.numberBinary+info.numberIntegers+info.numberSos
    310                     &&!info.starts) {
    311                   printf("Unable to handle integer problems\n");
    312                   return 1;
    313                 }
    314309                CbcOrClpRead_mode = 2; // so will start with parameters
    315310                // see if log in list (including environment)
     
    328323                    printf("%d rows, %d columns and %d elements\n",
    329324                           info.numberRows, info.numberColumns, info.numberElements);
    330                 if (!coinModelStart.model) {
    331                   // linear
    332325                    models->loadProblem(info.numberColumns, info.numberRows, info.starts,
    333326                                        info.rows, info.elements,
    334327                                        info.columnLower, info.columnUpper, info.objective,
    335328                                        info.rowLower, info.rowUpper);
    336                 } else {
    337                   // QP
    338                   models->loadProblem(*(coinModelStart.model));
    339                 }
    340329                // If we had a solution use it
    341330                if (info.primalSolution) {
     
    10331022                                   try {
    10341023                                        status = model2->initialSolve(solveOptions);
    1035 #ifdef COIN_HAS_ASL
    1036                             if (usingAmpl) {
    1037                                 double value = model2->getObjValue() * model2->getObjSense();
    1038                                 char buf[300];
    1039                                 int pos = 0;
    1040                                 int iStat = model2->status();
    1041                                 if (iStat == 0) {
    1042                                     pos += sprintf(buf + pos, "optimal," );
    1043                                 } else if (iStat == 1) {
    1044                                     // infeasible
    1045                                     pos += sprintf(buf + pos, "infeasible,");
    1046                                 } else if (iStat == 2) {
    1047                                     // unbounded
    1048                                     pos += sprintf(buf + pos, "unbounded,");
    1049                                 } else if (iStat == 3) {
    1050                                     pos += sprintf(buf + pos, "stopped on iterations or time,");
    1051                                 } else if (iStat == 4) {
    1052                                     iStat = 7;
    1053                                     pos += sprintf(buf + pos, "stopped on difficulties,");
    1054                                 } else if (iStat == 5) {
    1055                                     iStat = 3;
    1056                                     pos += sprintf(buf + pos, "stopped on ctrl-c,");
    1057                                 } else if (iStat == 6) {
    1058                                     // bab infeasible
    1059                                     pos += sprintf(buf + pos, "integer infeasible,");
    1060                                     iStat = 1;
    1061                                 } else {
    1062                                     pos += sprintf(buf + pos, "status unknown,");
    1063                                     iStat = 6;
    1064                                 }
    1065                                 info.problemStatus = iStat;
    1066                                 info.objValue = value;
    1067                                 pos += sprintf(buf + pos, " objective %.*g", ampl_obj_prec(),
    1068                                                value);
    1069                                 sprintf(buf + pos, "\n%d iterations",
    1070                                         model2->getIterationCount());
    1071                                 free(info.primalSolution);
    1072                                 int numberColumns = model2->numberColumns();
    1073                                 info.primalSolution = reinterpret_cast<double *> (malloc(numberColumns * sizeof(double)));
    1074                                 CoinCopyN(model2->primalColumnSolution(), numberColumns, info.primalSolution);
    1075                                 int numberRows = model2->numberRows();
    1076                                 free(info.dualSolution);
    1077                                 info.dualSolution = reinterpret_cast<double *> (malloc(numberRows * sizeof(double)));
    1078                                 CoinCopyN(model2->dualRowSolution(), numberRows, info.dualSolution);
    1079                                 CoinWarmStartBasis * basis = model2->getBasis();
    1080                                 free(info.rowStatus);
    1081                                 info.rowStatus = reinterpret_cast<int *> (malloc(numberRows * sizeof(int)));
    1082                                 free(info.columnStatus);
    1083                                 info.columnStatus = reinterpret_cast<int *> (malloc(numberColumns * sizeof(int)));
    1084                                 // Put basis in
    1085                                 int i;
    1086                                 // free,basic,ub,lb are 0,1,2,3
    1087                                 for (i = 0; i < numberRows; i++) {
    1088                                     CoinWarmStartBasis::Status status = basis->getArtifStatus(i);
    1089                                     info.rowStatus[i] = status;
    1090                                 }
    1091                                 for (i = 0; i < numberColumns; i++) {
    1092                                     CoinWarmStartBasis::Status status = basis->getStructStatus(i);
    1093                                     info.columnStatus[i] = status;
    1094                                 }
    1095                                 // put buffer into info
    1096                                 strcpy(info.buffer, buf);
    1097                                 delete basis;
    1098                             }
    1099 #endif
    11001024#ifndef NDEBUG
    11011025                                        // if infeasible check ray
  • stable/1.15/Clp/src/Makefile.am

    r2007 r2009  
    154154        ClpMain.cpp \
    155155        CbcOrClpParam.cpp CbcOrClpParam.hpp \
    156         Clp_ampl.cpp Clp_ampl.h \
    157156        MyEventHandler.cpp MyEventHandler.hpp \
    158157        MyMessageHandler.cpp MyMessageHandler.hpp \
     
    160159
    161160# List all additionally required libraries
    162 clp_LDADD = libClp.la $(CLPLIB_LIBS) $(ASL_LIBS)
     161clp_LDADD = libClp.la $(CLPLIB_LIBS)
    163162
    164163# List all dependency libraries (similar to LDADD, but without -l, -L flags)
  • stable/1.15/Clp/src/Makefile.in

    r2007 r2009  
    256256PROGRAMS = $(bin_PROGRAMS)
    257257am_clp_OBJECTS = ClpMain.$(OBJEXT) CbcOrClpParam.$(OBJEXT) \
    258         Clp_ampl.$(OBJEXT) MyEventHandler.$(OBJEXT) \
    259         MyMessageHandler.$(OBJEXT) unitTest.$(OBJEXT)
     258        MyEventHandler.$(OBJEXT) MyMessageHandler.$(OBJEXT) \
     259        unitTest.$(OBJEXT)
    260260clp_OBJECTS = $(am_clp_OBJECTS)
    261261am__DEPENDENCIES_1 =
     
    324324AMTAR = @AMTAR@
    325325AR = @AR@
    326 ASL_CFLAGS = @ASL_CFLAGS@
    327 ASL_CFLAGS_INSTALLED = @ASL_CFLAGS_INSTALLED@
    328 ASL_DATA = @ASL_DATA@
    329 ASL_DATA_INSTALLED = @ASL_DATA_INSTALLED@
    330 ASL_DEPENDENCIES = @ASL_DEPENDENCIES@
    331 ASL_LIBS = @ASL_LIBS@
    332 ASL_LIBS_INSTALLED = @ASL_LIBS_INSTALLED@
    333326AUTOCONF = @AUTOCONF@
    334327AUTOHEADER = @AUTOHEADER@
     
    373366COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    374367COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
    375 COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    376 COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    377368COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    378369COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
     
    630621        ClpMain.cpp \
    631622        CbcOrClpParam.cpp CbcOrClpParam.hpp \
    632         Clp_ampl.cpp Clp_ampl.h \
    633623        MyEventHandler.cpp MyEventHandler.hpp \
    634624        MyMessageHandler.cpp MyMessageHandler.hpp \
     
    637627
    638628# List all additionally required libraries
    639 clp_LDADD = libClp.la $(CLPLIB_LIBS) $(ASL_LIBS)
     629clp_LDADD = libClp.la $(CLPLIB_LIBS)
    640630
    641631# List all dependency libraries (similar to LDADD, but without -l, -L flags)
     
    873863@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ClpSolve.Plo@am__quote@
    874864@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Clp_C_Interface.Plo@am__quote@
    875 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Clp_ampl.Po@am__quote@
    876865@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CoinAbcBaseFactorization1.Plo@am__quote@
    877866@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CoinAbcBaseFactorization2.Plo@am__quote@
  • stable/1.15/Clp/src/OsiClp

  • stable/1.15/Clp/src/OsiClp/Makefile.in

    r2007 r2009  
    106106AMTAR = @AMTAR@
    107107AR = @AR@
    108 ASL_CFLAGS = @ASL_CFLAGS@
    109 ASL_CFLAGS_INSTALLED = @ASL_CFLAGS_INSTALLED@
    110 ASL_DATA = @ASL_DATA@
    111 ASL_DATA_INSTALLED = @ASL_DATA_INSTALLED@
    112 ASL_DEPENDENCIES = @ASL_DEPENDENCIES@
    113 ASL_LIBS = @ASL_LIBS@
    114 ASL_LIBS_INSTALLED = @ASL_LIBS_INSTALLED@
    115108AUTOCONF = @AUTOCONF@
    116109AUTOHEADER = @AUTOHEADER@
     
    155148COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    156149COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
    157 COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    158 COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    159150COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    160151COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
  • stable/1.15/Clp/src/config.h.in

    r2007 r2009  
    2727/* Define to 1 if the AMD package is available */
    2828#undef COIN_HAS_AMD
    29 
    30 /* Define to 1 if the ASL package is available */
    31 #undef COIN_HAS_ASL
    3229
    3330/* If defined, the BLAS Library is available. */
  • stable/1.15/Clp/test/Makefile.in

    r2007 r2009  
    9696AMTAR = @AMTAR@
    9797AR = @AR@
    98 ASL_CFLAGS = @ASL_CFLAGS@
    99 ASL_CFLAGS_INSTALLED = @ASL_CFLAGS_INSTALLED@
    100 ASL_DATA = @ASL_DATA@
    101 ASL_DATA_INSTALLED = @ASL_DATA_INSTALLED@
    102 ASL_DEPENDENCIES = @ASL_DEPENDENCIES@
    103 ASL_LIBS = @ASL_LIBS@
    104 ASL_LIBS_INSTALLED = @ASL_LIBS_INSTALLED@
    10598AUTOCONF = @AUTOCONF@
    10699AUTOHEADER = @AUTOHEADER@
     
    145138COIN_HAS_AMD_FALSE = @COIN_HAS_AMD_FALSE@
    146139COIN_HAS_AMD_TRUE = @COIN_HAS_AMD_TRUE@
    147 COIN_HAS_ASL_FALSE = @COIN_HAS_ASL_FALSE@
    148 COIN_HAS_ASL_TRUE = @COIN_HAS_ASL_TRUE@
    149140COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
    150141COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
Note: See TracChangeset for help on using the changeset viewer.